<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMallBannersTable extends Migration
{

    /**
     * Run the migrations.
     * @return void
     */
    public function up()
    {
        Schema::create('mall_banners', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('shop_id')->default(0)->index()->comment('所属店铺');
            $table->string('title');
            $table->string('cover');
            $table->integer('position')->unsigned();
            $table->boolean('status')->default(0);
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('mall_banners');
    }

}
